Loading...
Searching...
No Matches
vkd3d_shader_descriptor_binding Struct Reference

A common structure describing the bind point of a descriptor or descriptor array in the target environment. More...

`#include <vkd3d_shader.h>`

## Data Fields

unsigned int | set
| The set of the descriptor.
unsigned int | binding
| The binding index of the descriptor.
unsigned int | count
| The size of this descriptor array.

## Detailed Description

A common structure describing the bind point of a descriptor or descriptor array in the target environment.

## Field Documentation

## count

unsigned int vkd3d_shader_descriptor_binding::count

The size of this descriptor array.

If an offset is specified for this binding by the vkd3d_shader_descriptor_offset_info structure, counting starts at that offset.

## set

unsigned int vkd3d_shader_descriptor_binding::set

The set of the descriptor.

If the target environment does not support descriptor sets, this value must be set to 0.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h